const { execSync } = require("child_process");
const { getClonedDirPath, getDeleteDirPath } = require("../utils/getFsUtils");
const { getRepoName } = require("../pre-commit");
const { removeFolder } = require("./directoryUtils");
const { executeSynchronizedCommands } = require('../utils/executeSyncCommands')
const cloneRepoProperties = {
  endPoint:
    "https://rajasekar.hm:JzPFGpj2fayCG1cJGKUz@zgit.csez.zohocorpin.com/code_standard/client_linter/linter_configuration.git",
  branch: "master",
  cacheDirectory: "./",
  name: "configuration",
  type: "git"
};

function cloneViaCli() {
  removeFolder(getDeleteDirPath())
  const commandToCloneCommonConfigRepo = `npx cdt clone --clone:type=${cloneRepoProperties.type} --clone:url=${cloneRepoProperties.endPoint} --clone:branch=${cloneRepoProperties.branch} --clone:cacheDir=${cloneRepoProperties.cacheDirectory} --clone:proj:name=${cloneRepoProperties.name}`

  let isCommonConfigurationClonedSuccessfully = executeSynchronizedCommands(execSync,[commandToCloneCommonConfigRepo,{cwd:getClonedDirPath()}],`Lint Configuration Cloned Successfully - ${getRepoName()}`,'Could not clone the linters common repo',false,true)
  return isCommonConfigurationClonedSuccessfully
}


module.exports = { 
    cloneViaCli
}
